%define name evolvotron
%define version 0.5.1
%define release %mkrel 3

Summary: Interactive "generative art" software
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/evolvotron/%{name}-%{version}.tar.gz
License: GPL
Group: Toys
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://evolvotron.sf.net
Buildrequires: qt3-devel
Buildrequires: boost-devel

%description
Evolvotron Interactive "generative art" software to evolve
images/textures/patterns through an iterative process of random
mutation and user-selection driven evolution.  If you like lava lamps,
and still think the Mandelbrot set is cool, this could be the software
for you.

%prep
%setup -q -n %name

%build
export QTDIR=%_prefix/lib/qt3
export PATH=$QTDIR/bin:$PATH
./configure fs
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_bindir
install -m 755 evolvotron/evolvotron evolvotron_mutate/evolvotron_mutate \
  evolvotron_render/evolvotron_render %buildroot%_bindir

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Evolvotron
Comment=Interactive generative art software
Exec=%{name}
Icon=toys_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Qt;Amusement;
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post
%{update_menus}
%endif
 
%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files
%defattr(-,root,root)
%doc README CHANGES LICENSE TODO
%_bindir/%{name}*
%_datadir/applications/mandriva*




%changelog
* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.1-3mdv2009.0
+ Revision: 244996
- rebuild
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 28 2007 Götz Waschk <waschk@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 113666
- new version

* Sun Oct 21 2007 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2008.1
+ Revision: 100902
- fix buildrequires
- new version
- drop patch
- update menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Wed Jan 24 2007 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdv2007.0
+ Revision: 112810
- Import evolvotron

* Wed Jan 24 2007 Gtz Waschk <waschk@mandriva.org> 0.4.0-4mdv2007.1
- unpack patch

* Thu Aug 03 2006 Gtz Waschk <waschk@mandriva.org> 0.4.0-3mdv2007.0
- xdg menu

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 0.4.0-2mdv2007.0
- fix build
- mkrel

* Mon Jun 27 2005 Gtz Waschk <waschk@mandriva.org> 0.4.0-1mdk
- New release 0.4.0

* Fri Aug 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-2mdk
- rebuild for new menu

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.1-1mdk
- drop merged patch
- New release 0.3.1

* Thu Jul 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.0-1mdk
- fix build
- update patch
- New release 0.3.0

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.2-2mdk
- add source URL
- fix qt path
- patch for new g++ (Christiaan Welvaart)

